Package org.opensaml.saml.common.profile.impl

# Class AddInResponseToToResponse.DefaultRequestIdLookupStrategy

java.lang.Object
org.opensaml.saml.common.profile.impl.AddInResponseToToResponse.DefaultRequestIdLookupStrategy

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`

Enclosing class:
  AddInResponseToToResponse

public static class AddInResponseToToResponse.DefaultRequestIdLookupStrategy extends Object implements Function<ProfileRequestContext,String>
Default lookup of request ID from inbound message context, suppressing lookup for bindings known to be supplying artificial IDs.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.
`private Set<String>`
`suppressForBindings`
Set of bindings to ignore request ID for.

## Constructor Summary

Constructors
Constructor
Description
`DefaultRequestIdLookupStrategy()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(ProfileRequestContext input)`
`void`
`setSuppressForBindings(Collection<String> bindings)`
Set the collection of bindings to suppress the lookup of a request ID for.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### suppressForBindings

@Nonnull private Set<String> suppressForBindings
Set of bindings to ignore request ID for.

## Constructor Details

### DefaultRequestIdLookupStrategy

public DefaultRequestIdLookupStrategy()
Constructor.

## Method Details

### setSuppressForBindings

public void setSuppressForBindings(@Nonnull Collection<String> bindings)
Set the collection of bindings to suppress the lookup of a request ID for.

Parameters:
  `bindings` - collection of bindings

### apply

@Nullable public String apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,String>`